C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION GMSTRT(IX1,IX2)
C*****FINDS STARTING APPROX TO GAMMA FIT
	COMMON//IBLK(256),CURVE1(512),CURVE2(512)
	COMMON/WINDOW/IFST,ILST
	COMMON/FIT/CAS(4)
	INTEGER*2 GMSTRT
	EXTERNAL CGAM
	REAL*8 C(9),CA(5),CB(4)
	GMSTRT=0
	IF(PCV(1,12).LT.0)GOTO 200
	CALL GAMACC(C,IX1,IX2)
	CA(1)=C(2)-(C(3)**2)/C(1)
	CA(2)=C(4)-(C(3)*C(5))/C(1)
	CA(3)=C(6)-(C(5)**2)/C(1)
	CA(4)=C(7)-(C(3)*C(8))/C(1)
	CA(5)=C(9)-(C(5)*C(8))/C(1)
	CB(1)=CA(1)*CA(3)-CA(2)**2
	CB(2)=(CA(3)*CA(4)-CA(2)*CA(5))/CB(1)
	CB(3)=(CA(1)*CA(5)-CA(2)*CA(4))/CB(1)
	CB(4)=(C(8)-CB(2)*C(3)-CB(3)*C(5))/C(1)
	CAS(1)=EXP(SNGL(CB(4)))
	CAS(2)=SNGL(CB(2))
	CAS(3)=SNGL(CB(3))
	CALL RECONS(CGAM)
	IF(GCV(2,12).LT.0)GOTO 200
	CAS(4)=CRES(CURVE1,IX1,IX2,CURVE2)
	RETURN
200	GMSTRT=-1
	RETURN
	END
